# create-html-boilerplate

Generate a vanilla HTML/CSS boilerplate _in a flash!_ ⚡

![Baby gif](https://media.giphy.com/media/MJGxL8fxrQBfq/giphy.gif)

## Quick Overview

```sh
npx create-html-boilerplate my-app
cd my-app
```

If you've previously installed `create-html-boilerplate` globally via `npm install -g create-html-boilerplate`, we recommend you uninstall the package using `npm uninstall -g create-html-boilerplate` to ensure that npx always uses the latest version.

_([npx](https://medium.com/@maybekatz/introducing-npx-an-npm-package-runner-55f7d4bd282b) comes with npm 5.2+ and higher, see [instructions for older npm versions](https://gist.github.com/gaearon/4064d3c23a77c74a3614c498a8bb1c5f))_

By using an extension like [Live Server](https://marketplace.visualstudio.com/items?itemName=ritwickdey.LiveServer) on [VSCode](https://code.visualstudio.com/), you can view the file live at [http://localhost:5500/](http://localhost:5500/)

## Creating an App

**You’ll need to have Node 8.16.0 or Node 10.16.0 or later version on your local development machine** (but it’s not required on the server). You can use [nvm](https://github.com/creationix/nvm#installation) (macOS/Linux) or [nvm-windows](https://github.com/coreybutler/nvm-windows#node-version-manager-nvm-for-windows) to switch Node versions between different projects.

To create a new app, you may choose one of the following methods:

### npx

```sh
npx create-html-boilerplate my-app
```

_([npx](https://medium.com/@maybekatz/introducing-npx-an-npm-package-runner-55f7d4bd282b) is a package runner tool that comes with npm 5.2+ and higher, see [instructions for older npm versions](https://gist.github.com/gaearon/4064d3c23a77c74a3614c498a8bb1c5f))_

### npm

```sh
npm create-html-boilerplate -g
create-html-boilerplate my-app
```

Once you've created the boilerplate, cd into your project by running the follwing command:

```sh
cd my-app
```

### Get Started Immediately

Don't need all the crazy frameworks and tools? Start fresh with a minimal HTML, CSS, and Javascript folder structure.

By running the simple CLI, you can generate a folder structure like so:

```
my-app
├── index.html
├── styles
│   ├── main.css
├── scripts
│   ├── main.js
```

## Contributing to this project 👊

Thanks for showing interest to contribute to Create HTML Boilerplate 💖, you rock!

Follow the directions below to setup your project and contribute to this repository.

1. Fork the repo (click the <kbd>Fork</kbd> button at the top right of [this page](https://github.com/braydentw/create-html-boilerplate))

2. Clone your fork locally

```sh
git clone https://github.com/<YOUR_USERNAME>/create-html-boilerplate.git
cd create-html-boilerplate
```

3. Setup all the dependencies and packages

```sh
npm install
```

Once you submit a PR, we'll respond as soon as possible so we can take a look at what you've made!

## Making a Pull Request? 🔁

That's **awesome**! Start by following the instructions given earlier of how to run this project on your system locally.

Then, commit and push your changes:

```bash
git add .
git commit -m "My commit message"
git push
```

Once finished, you can create a pull request!

Is it your first time? Check out [this link](https://docs.github.com/en/free-pro-team@latest/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request-from-a-fork) to learn how to submit a pull request.

## Think you found a bug? 🐛

Please [submit an issue](https://github.com/braydentw/create-html-boilerplate/issues/new) and **provide a clear path to reproduction with a code example**.

The clearer you are, the easier it will be for us help!

## License

Create HTML Boilerplate is open source software [licensed as MIT](https://github.com/braydentw/create-html-boilerplate/blob/main/LICENSE).

---

### Like my work?

<a href="https://www.buymeacoffee.com/braydenw" target="_blank"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy Me A Coffee" width="210" ></a>

Made by [@BraydenTW](https://github.com/braydentw)
